
set( art_VERSION 1.14.02 )
set( art_UPS_VERSION v1_14_02 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
  find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp v3_04_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
  find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( ART_VERSION  $ENV{ART_LIB}/libart_Version.dylib )
      set( ART_UTILITIES  $ENV{ART_LIB}/libart_Utilities.dylib )
      set( ART_FRAMEWORK_ART  $ENV{ART_LIB}/libart_Framework_Art.dylib )
      set( ART_FRAMEWORK_CORE  $ENV{ART_LIB}/libart_Framework_Core.dylib )
      set( ART_FRAMEWORK_EVENTPROCESSOR  $ENV{ART_LIB}/libart_Framework_EventProcessor.dylib )
      set( ART_FRAMEWORK_IO  $ENV{ART_LIB}/libart_Framework_IO.dylib )
      set( ART_FRAMEWORK_IO_CATALOG  $ENV{ART_LIB}/libart_Framework_IO_Catalog.dylib )
      set( ART_FRAMEWORK_IO_PRODUCTMIX  $ENV{ART_LIB}/libart_Framework_IO_ProductMix.dylib )
      set( ART_FRAMEWORK_IO_PRODUCTMIX_DICT  $ENV{ART_LIB}/libart_Framework_IO_ProductMix_dict.dylib )
      set( ART_FRAMEWORK_IO_ROOT_DETAIL_SOURCES  $ENV{ART_LIB}/libart_Framework_IO_Root_detail_sources.dylib )
      set( ART_FRAMEWORK_IO_ROOTVERSION  $ENV{ART_LIB}/libart_Framework_IO_RootVersion.dylib )
      set( ART_FRAMEWORK_IO_ROOT  $ENV{ART_LIB}/libart_Framework_IO_Root.dylib )
      set( ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE  $ENV{ART_LIB}/libart_Framework_IO_Root_RootInput_source.dylib )
      set( ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE  $ENV{ART_LIB}/libart_Framework_IO_Root_RootOutput_module.dylib )
      set( ART_FRAMEWORK_IO_SOURCES  $ENV{ART_LIB}/libart_Framework_IO_Sources.dylib )
      set( ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE  $ENV{ART_LIB}/libart_Framework_Modules_BlockingPrescaler_module.dylib )
      set( ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE  $ENV{ART_LIB}/libart_Framework_Modules_EmptyEvent_source.dylib )
      set( ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE  $ENV{ART_LIB}/libart_Framework_Modules_FileDumperOutput_module.dylib )
      set( ART_FRAMEWORK_MODULES_PRESCALER_MODULE  $ENV{ART_LIB}/libart_Framework_Modules_Prescaler_module.dylib )
      set( ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE  $ENV{ART_LIB}/libart_Framework_Modules_ProvenanceCheckerOutput_module.dylib )
      set( ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE  $ENV{ART_LIB}/libart_Framework_Modules_RandomNumberSaver_module.dylib )
      set( ART_FRAMEWORK_MODULES_DICT  $ENV{ART_LIB}/libart_Framework_Modules_dict.dylib )
      set( ART_FRAMEWORK_PRINCIPAL  $ENV{ART_LIB}/libart_Framework_Principal.dylib )
      set( ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES  $ENV{ART_LIB}/libart_Framework_Services_FileServiceInterfaces.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL  $ENV{ART_LIB}/libart_Framework_Services_Optional.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_RandomNumberGenerator_service.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_SimpleInteraction_service.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_SimpleMemoryCheck_service.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_MEMORYADJUSTER_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_MemoryAdjuster_service.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_MEMORYTRACKER_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_MemoryTracker_service.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_TFileService_service.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_Timing_service.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMETRACKER_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_TimeTracker_service.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_Tracer_service.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_TrivialFileDelivery_service.dylib )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_TrivialFileTransfer_service.dylib )
      set( ART_FRAMEWORK_SERVICES_REGISTRY  $ENV{ART_LIB}/libart_Framework_Services_Registry.dylib )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_CurrentModule_service.dylib )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_FileCatalogMetadata_service.dylib )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_FloatingPointControl_service.dylib )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_PathSelection_service.dylib )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_ScheduleContext_service.dylib )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_TriggerNamesService_service.dylib )
      set( ART_FRAMEWORK_SERVICES_USERINTERACTION  $ENV{ART_LIB}/libart_Framework_Services_UserInteraction.dylib )
      set( ART_PERSISTENCY_CLHEPDICTIONARIES_DICT  $ENV{ART_LIB}/libart_Persistency_CLHEPDictionaries_dict.dylib )
      set( ART_PERSISTENCY_COMMON  $ENV{ART_LIB}/libart_Persistency_Common.dylib )
      set( ART_PERSISTENCY_COMMON_DICT  $ENV{ART_LIB}/libart_Persistency_Common_dict.dylib )
      set( ART_PERSISTENCY_PROVENANCE  $ENV{ART_LIB}/libart_Persistency_Provenance.dylib )
      set( ART_PERSISTENCY_PROVENANCE_DICT  $ENV{ART_LIB}/libart_Persistency_Provenance_dict.dylib )
      set( ART_PERSISTENCY_ROOTDB  $ENV{ART_LIB}/libart_Persistency_RootDB.dylib )
      set( ART_PERSISTENCY_STDDICTIONARIES_DICT  $ENV{ART_LIB}/libart_Persistency_StdDictionaries_dict.dylib )
      set( ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT  $ENV{ART_LIB}/libart_Persistency_WrappedStdDictionaries_dict.dylib )
      set( ART_PERSISTENCY_CETLIBDICTIONARIES_DICT  $ENV{ART_LIB}/libart_Persistency_CetlibDictionaries_dict.dylib )
      set( ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT  $ENV{ART_LIB}/libart_Persistency_FhiclCppDictionaries_dict.dylib )
      set( ART_NTUPLE  $ENV{ART_LIB}/libart_Ntuple.dylib )
      set( ART_NTUPLE_SQLITE_MFPLUGIN  $ENV{ART_LIB}/libart_Ntuple_sqlite_mfPlugin.dylib )
      include_directories ( $ENV{ART_INC} )

check_required_components(art)

